Subject: Re: bug#17045: 24.3.50; feature request: rcirc-reconnect

From: Daimrod <[email-masked]>
Date: Thu, 10 Apr 2014 09:47:55 +0900

Sam Steingold <[email-masked]> writes:

>> * Daimrod <[email-masked]> [2014-04-08 23:03:45 +0900]:
>>
>> That's why I would like a way to be notified when a RCIRC process is
>> replaced so that shoes-off can update the connections information.
>
> would rcirc-reconnect-hook be enough?
>
>> But to do that, I would probably need more that just a notification, I
>> would need the old and the new process.
>
> I am afraid the old process is dead and discarded by this time.

Hmm, does the new process use the same buffer or does it create a new
one?

I'm trying to find a way to identify which RCIRC process is replaced.
Simply checking which connection is dead is probably not enough in case
more than one conections dropped at the same time.

-- 
Daimrod/Greg